DRM_HDMI_AVI_INFOFRA(9)

NAME
drm_hdmi_avi_infoframe_from_display_mode - fill an HDMI AVI infoframe with data from a DRM display mode

SYNOPSIS

int drm_hdmi_avi_infoframe_from_display_mode(struct hdmi_avi_infoframe * frame, const struct drm_display_mode * mode);

ARGUMENTS

frame
    HDMI AVI infoframe

mode
    DRM display mode

RETURN

0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT